> ## Documentation Index
> Fetch the complete documentation index at: https://docs.api.stuut.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Dispute Resolution Endpoint

> Get dispute resolution analytics with time and count breakdown by reason code.



## OpenAPI

````yaml https://api.stuut.ai/openapi.json get /v2/analytics/disputes/resolution
openapi: 3.1.0
info:
  title: Stuut API
  termsOfService: https://stuut.ai/terms-and-conditions
  contact:
    name: Stuut Support
    url: https://stuut.ai/
    email: devs@stuut.co
  version: 2.0.0
servers: []
security:
  - HTTPBearer: []
tags:
  - name: adjustments
    description: Operations for managing payment adjustments (fees, discounts, write-offs).
    x-displayName: Adjustments
  - name: aether
    description: Operations for aether.
    x-displayName: Aether
  - name: analytics
    description: Operations for retrieving analytics and dashboard data.
    x-displayName: Analytics
  - name: assistant
    description: Operations for the in-app chat assistant.
    x-displayName: Assistant
  - name: audit-log
    description: Operations for retrieving the organization's audit log.
    x-displayName: Audit Log
  - name: bank-accounts
    description: Operations for retrieving and managing bank accounts.
    x-displayName: Bank Accounts
  - name: bank-statements
    description: Operations for retrieving and managing bank statements.
    x-displayName: Bank Statements
  - name: bank-transactions
    description: Operations for retrieving and managing bank transactions.
    x-displayName: Bank Transactions
  - name: business-units
    description: Operations for listing and managing business units.
    x-displayName: Business Units
  - name: call-agent
    description: >-
      Operations for initiating and managing real-time voice calls with
      partners.
    x-displayName: Call Agent
  - name: calls
    description: Operations for retrieving and managing voice call records.
    x-displayName: Calls
  - name: cash-app
    description: Operations for cash application — matching incoming payments to invoices.
    x-displayName: Cash Application
  - name: chats
    description: Operations for managing chat conversations.
    x-displayName: Chats
  - name: cnam-registration
    description: Operations for managing CNAM (caller ID name) registration.
    x-displayName: CNAM Registration
  - name: credit-memos
    description: Operations for retrieving and searching credit memos.
    x-displayName: Credit Memos
  - name: custom-table-templates
    description: >-
      Operations for managing custom table templates used in email template
      variables.
    x-displayName: Custom Table Templates
  - name: customer-segments
    description: Operations for managing customer segments.
    x-displayName: Customer Segments
  - name: deductions-knowledge
    description: Operations for managing deduction processing knowledge entries.
    x-displayName: Deductions Knowledge
  - name: email-threads
    description: Operations for managing email threads.
    x-displayName: Email Threads
  - name: emails
    description: Operations for retrieving and managing emails.
    x-displayName: Emails
  - name: exports
    description: Operations for requesting and retrieving async data exports.
    x-displayName: Exports
  - name: integrations
    description: >-
      Operations for managing integrations with external systems (e.g. ERP, CRM,
      etc.).
    x-displayName: Integrations
  - name: internal-contacts
    description: >-
      Operations for managing internal contacts (CSMs, account managers, etc.)
      and their assignments to partners.
    x-displayName: Internal Contacts
  - name: invoices
    description: Operations for retrieving and managing invoices.
    x-displayName: Invoices
  - name: kyb
    description: Operations for Know Your Business (KYB) verification.
    x-displayName: KYB
  - name: ledger-accounts
    description: Operations for retrieving and managing ledger accounts.
    x-displayName: Ledger Accounts
  - name: mailbox-settings
    description: >-
      Operations for an organization's mailbox provider configuration: Microsoft
      admin consent, shared-mailbox discovery, and provider health.
    x-displayName: Mailbox Settings
  - name: mailboxes
    description: >-
      Operations for connecting, listing, updating, and archiving user and
      shared mailboxes, including delegated OAuth sign-in.
    x-displayName: Mailboxes
  - name: media
    description: >-
      Operations for signing direct-to-storage media uploads (e.g. signature
      images).
    x-displayName: Media
  - name: organizations
    description: Operations for retrieving and managing the current organization.
    x-displayName: Organizations
  - name: outreach-workflows
    description: Operations for managing automated collections outreach workflows.
    x-displayName: Outreach Workflows
  - name: partners
    description: Operations for retrieving and managing customers.
    x-displayName: Partners
  - name: payments
    description: Operations for approving and managing payments.
    x-displayName: Payments
  - name: report-configs
    description: >-
      Operations for managing report configurations (frequency, recipients,
      schedule).
    x-displayName: Report Configs
  - name: sms-campaign-registration
    description: Operations for managing A2P 10DLC SMS campaign registration.
    x-displayName: SMS Campaign Registration
  - name: sms-templates
    description: >-
      Operations for defining, storing, and managing parameterized SMS message
      templates.
    x-displayName: SMS Templates
  - name: sms-threads
    description: Operations for retrieving and managing SMS conversation threads.
    x-displayName: SMS Threads
  - name: users
    description: Operations for retrieving and managing users.
    x-displayName: Users
  - name: users-ooo
    description: Operations for managing user out-of-office (OOO) status and coverage.
    x-displayName: Users OOO
paths:
  /v2/analytics/disputes/resolution:
    get:
      tags:
        - analytics
      summary: Get Dispute Resolution Endpoint
      description: >-
        Get dispute resolution analytics with time and count breakdown by reason
        code.
      operationId: GetAnalyticsDisputesResolution
      parameters:
        - name: interval
          in: query
          required: false
          schema:
            enum:
              - weekly
              - monthly
              - all
            type: string
            x-speakeasy-enum-format: union
            description: Time interval for grouping data.
            default: monthly
          description: Time interval for grouping data.
        - name: business_unit_id__in
          in: query
          required: false
          schema:
            anyOf:
              - items:
                  type: string
                type: array
              - type: 'null'
            description: Filter by business unit IDs
          description: Filter by business unit IDs
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DisputeResolutionResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    DisputeResolutionResponse:
      properties:
        data:
          items:
            $ref: '#/components/schemas/DisputeResolutionMonthSchema'
          type: array
          title: ''
          description: Monthly dispute resolution data
        open_disputes_over_10_days:
          type: integer
          minimum: 0
          title: ''
          description: Number of open disputes that have been open more than 10 days
        avg_resolution_days_mtd:
          anyOf:
            - type: number
            - type: 'null'
          title: ''
          description: Average time to resolution month to date
        currency:
          $ref: '#/components/schemas/Currency'
          title: ''
          description: The organization's currency
      type: object
      required:
        - data
        - open_disputes_over_10_days
        - avg_resolution_days_mtd
        - currency
      title: DisputeResolutionResponse
    HTTPValidationError:
      $defs:
        ValidationError:
          properties:
            loc:
              items:
                anyOf:
                  - type: string
                  - type: integer
              title: Location
              type: array
            msg:
              title: Message
              type: string
            type:
              title: Type
              type: string
          required:
            - loc
            - msg
            - type
          title: ValidationError
          type: object
          x-speakeasy-include: true
      properties:
        type:
          const: request-validation
          title: Type
          type: string
        detail:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: Human-readable description of this specific problem.
          title: Detail
          x-speakeasy-error-message: true
        status:
          const: 422
          title: Status
          type: integer
        title:
          description: Short human-readable summary of the problem.
          title: Title
          type: string
          x-speakeasy-error-message: true
        errors:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Errors
          type: array
      required:
        - type
        - status
        - title
        - errors
      title: APIError
      type: object
    DisputeResolutionMonthSchema:
      properties:
        period_start:
          type: string
          format: date
          title: ''
          description: The period start date
        period_end:
          type: string
          format: date
          title: ''
          description: The period end date
        avg_resolution_days:
          anyOf:
            - type: number
            - type: 'null'
          title: ''
          description: Average time to resolution in days for the period
        total_resolution_days:
          anyOf:
            - type: number
            - type: 'null'
          title: ''
          description: Total resolution time in days for the period
        resolved_count:
          type: integer
          minimum: 0
          title: ''
          description: Total number of disputes resolved in the period
        total_amount:
          type: integer
          minimum: 0
          title: ''
          description: Total disputed amount in cents for the period ($ view)
        by_reason:
          items:
            $ref: '#/components/schemas/DisputeReasonBreakdownSchema'
          type: array
          title: ''
          description: Breakdown by reason code
      type: object
      required:
        - period_start
        - period_end
        - avg_resolution_days
        - total_resolution_days
        - resolved_count
        - total_amount
        - by_reason
      title: DisputeResolutionMonth
    Currency:
      type: string
      enum:
        - ADP
        - AED
        - AFA
        - AFN
        - ALK
        - ALL
        - AMD
        - ANG
        - AOA
        - AOK
        - AON
        - AOR
        - ARA
        - ARL
        - ARM
        - ARP
        - ARS
        - ATS
        - AUD
        - AWG
        - AZM
        - AZN
        - BAD
        - BAM
        - BAN
        - BBD
        - BDT
        - BEC
        - BEF
        - BEL
        - BGL
        - BGM
        - BGN
        - BGO
        - BHD
        - BIF
        - BMD
        - BND
        - BOB
        - BOL
        - BOP
        - BOV
        - BRB
        - BRC
        - BRE
        - BRL
        - BRN
        - BRR
        - BRZ
        - BSD
        - BTN
        - BUK
        - BWP
        - BYB
        - BYN
        - BYR
        - BZD
        - CAD
        - CDF
        - CHE
        - CHF
        - CHW
        - CLE
        - CLF
        - CLP
        - CNH
        - CNX
        - CNY
        - COP
        - COU
        - CRC
        - CSD
        - CSK
        - CUC
        - CUP
        - CVE
        - CYP
        - CZK
        - DDM
        - DEM
        - DJF
        - DKK
        - DOP
        - DZD
        - ECS
        - ECV
        - EEK
        - EGP
        - ERN
        - ESA
        - ESB
        - ESP
        - ETB
        - EUR
        - FIM
        - FJD
        - FKP
        - FRF
        - GBP
        - GEK
        - GEL
        - GHC
        - GHS
        - GIP
        - GMD
        - GNF
        - GNS
        - GQE
        - GRD
        - GTQ
        - GWE
        - GWP
        - GYD
        - HKD
        - HNL
        - HRD
        - HRK
        - HTG
        - HUF
        - IDR
        - IEP
        - ILP
        - ILR
        - ILS
        - INR
        - IQD
        - IRR
        - ISJ
        - ISK
        - ITL
        - JMD
        - JOD
        - JPY
        - KES
        - KGS
        - KHR
        - KMF
        - KPW
        - KRH
        - KRO
        - KRW
        - KWD
        - KYD
        - KZT
        - LAK
        - LBP
        - LKR
        - LRD
        - LSL
        - LTL
        - LTT
        - LUC
        - LUF
        - LUL
        - LVL
        - LVR
        - LYD
        - MAD
        - MAF
        - MCF
        - MDC
        - MDL
        - MGA
        - MGF
        - MKD
        - MKN
        - MLF
        - MMK
        - MNT
        - MOP
        - MRO
        - MRU
        - MTL
        - MTP
        - MUR
        - MVP
        - MVR
        - MWK
        - MXN
        - MXP
        - MXV
        - MYR
        - MZE
        - MZM
        - MZN
        - NAD
        - NGN
        - NIC
        - NIO
        - NLG
        - NOK
        - NPR
        - NZD
        - OMR
        - PAB
        - PEI
        - PEN
        - PES
        - PGK
        - PHP
        - PKR
        - PLN
        - PLZ
        - PTE
        - PYG
        - QAR
        - RHD
        - ROL
        - RON
        - RSD
        - RUB
        - RUR
        - RWF
        - SAR
        - SBD
        - SCR
        - SDD
        - SDG
        - SDP
        - SEK
        - SGD
        - SHP
        - SIT
        - SKK
        - SLE
        - SLL
        - SOS
        - SRD
        - SRG
        - SSP
        - STD
        - STN
        - SUR
        - SVC
        - SYP
        - SZL
        - THB
        - TJR
        - TJS
        - TMM
        - TMT
        - TND
        - TOP
        - TPE
        - TRL
        - TRY
        - TTD
        - TWD
        - TZS
        - UAH
        - UAK
        - UGS
        - UGX
        - USD
        - USN
        - USS
        - UYI
        - UYP
        - UYU
        - UYW
        - UZS
        - VEB
        - VED
        - VEF
        - VES
        - VND
        - VNN
        - VUV
        - WST
        - XAF
        - XAG
        - XAU
        - XBA
        - XBB
        - XBC
        - XBD
        - XCD
        - XCG
        - XDR
        - XEU
        - XFO
        - XFU
        - XOF
        - XPD
        - XPF
        - XPT
        - XRE
        - XSU
        - XTS
        - XUA
        - XXX
        - YDD
        - YER
        - YUD
        - YUM
        - YUN
        - YUR
        - ZAL
        - ZAR
        - ZMK
        - ZMW
        - ZRN
        - ZRZ
        - ZWD
        - ZWL
        - ZWR
      description: >-
        The 3 character [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217)
        currency code.
      x-speakeasy-enum-format: union
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          type: string
          title: Type
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
      x-speakeasy-include: true
    DisputeReasonBreakdownSchema:
      properties:
        reason_id:
          anyOf:
            - type: string
            - type: 'null'
          title: ''
          description: The dispute reason ID
        reason_code:
          anyOf:
            - type: string
            - type: 'null'
          title: ''
          description: The dispute reason code (e.g., 'WPO', 'TAX')
        reason_name:
          anyOf:
            - type: string
            - type: 'null'
          title: ''
          description: The dispute reason name (e.g., 'Wrong PO', 'Tax Issue')
        count:
          type: integer
          minimum: 0
          title: ''
          description: Number of disputes resolved with this reason code
        total_amount:
          type: integer
          minimum: 0
          title: ''
          description: Total disputed amount for this reason code, in cents
        percentage:
          type: number
          maximum: 100
          minimum: 0
          title: ''
          description: Percentage of total resolved disputes for the period (# view)
        amount_percentage:
          type: number
          maximum: 100
          minimum: 0
          title: ''
          description: Percentage of total disputed amount for the period ($ view)
        avg_resolution_days:
          anyOf:
            - type: number
            - type: 'null'
          title: ''
          description: Average time to resolution in days for this reason code
        total_resolution_days:
          anyOf:
            - type: number
            - type: 'null'
          title: ''
          description: Total resolution time in days for this reason code
      type: object
      required:
        - reason_id
        - reason_code
        - reason_name
        - count
        - total_amount
        - percentage
        - amount_percentage
        - avg_resolution_days
        - total_resolution_days
      title: DisputeReasonBreakdown
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````